<?php



Route::group(
    [
        'prefix'     => 'backend/vaah/advanced/logs',
        'middleware' => ['web','has.backend.access'],
        'namespace'  => 'WebReinvent\VaahCms\Http\Controllers\Advanced'
    ],
    function () {
        //---------------------------------------------------------
        Route::post( '/list', 'LogsController@getList');
        //---------------------------------------------------------
        Route::post( '/item/{name}', 'LogsController@getItem');
        //---------------------------------------------------------
        Route::get( '/download-file/{file_name}', 'LogsController@downloadFile');
        //---------------------------------------------------------
        Route::post( '/actions/{action_name}', 'LogsController@postActions');

    });



Route::group(
    [
        'prefix' => 'backend/vaah/advanced/batches',
        'middleware' => ['web', 'has.backend.access'],
        'namespace' => 'WebReinvent\VaahCms\Http\Controllers\Advanced',
    ],
    function () {
        //---------------------------------------------------------
        Route::any('/assets', 'BatchesController@getAssets')
            ->name('vh.backend.job_batches.batches.assets');
        //---------------------------------------------------------
        Route::any('/list', 'BatchesController@getList')
            ->name('vh.backend.job_batches.batches.list');
        //---------------------------------------------------------
        Route::post('/actions/{action_name}', 'BatchesController@postActions')
            ->name('vh.backend.job_batches.batches.actions');
        //---------------------------------------------------------
    });


Route::group(
    [
        'prefix' => 'backend/vaah/advanced/jobs',
        'middleware' => ['web', 'has.backend.access'],
        'namespace' => 'WebReinvent\VaahCms\Http\Controllers\Advanced',
    ],
    function () {
        //---------------------------------------------------------
        Route::any('/assets', 'JobsController@getAssets')
            ->name('vh.backend.jobs.jobs.assets');
        //---------------------------------------------------------
        Route::any('/list', 'JobsController@getList')
            ->name('vh.backend.jobs.jobs.list');
        //---------------------------------------------------------
        Route::post('/actions/{action_name}', 'JobsController@postActions')
            ->name('vh.backend.jobs.jobs.actions');
        //---------------------------------------------------------
    });


Route::group(
    [
        'prefix' => 'backend/vaah/advanced/failed-jobs',
        'middleware' => ['web', 'has.backend.access'],
        'namespace' => 'WebReinvent\VaahCms\Http\Controllers\Advanced',
    ],
    function () {
        //---------------------------------------------------------
        Route::any('/assets', 'FailedJobsController@getAssets')
            ->name('vh.backend.jobs.jobs.assets');
        //---------------------------------------------------------
        Route::any('/list', 'FailedJobsController@getList')
            ->name('vh.backend.jobs.jobs.list');
        //---------------------------------------------------------
        Route::post('/actions/{action_name}', 'FailedJobsController@postActions')
            ->name('vh.backend.jobs.jobs.actions');
        //---------------------------------------------------------
    });

